package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFY11 extends MwfRequest<MWFY11, MWFY11Response> {

    @Parameter(name = "CIF")
    MWFY11 cif(String cif);
    @Parameter(name = "Channel_ID")
    MWFY11 channelID(String channelID);
    @Parameter(name = "ObchodniMistoKod")
    MWFY11 obchodniMistoKod(String obchodniMistoKod);
    @Parameter(name = "SCHV_Varianta_Key")
    MWFY11 sCHVVariantaKey(Long sCHVVariantaKey);
    @Parameter(name = "UrednikID")
    MWFY11 urednikID(String urednikID);
    @Parameter(name = "Zadost_KEY")
    MWFY11 zadostKEY(Long zadostKEY);
}
